
export class MournbladeConfig {

  static  getConfig() {
    let MOURNBLADE_CONFIG = {

      attaques: {
        assaut: game.i18n.localize("MNBL.assaut"),
        precise: game.i18n.localize("MNBL.preciseattack"),
        feinte: game.i18n.localize("MNBL.feint"),
        coupbas: game.i18n.localize("MNBL.dirtyattack"),
        charger: game.i18n.localize("MNBL.charge"),
        contenir: game.i18n.localize("MNBL.contain"),
        desarmer: game.i18n.localize("MNBL.disarm")
      },
      couverts: {
        aucun: { name: game.i18n.localize("MNBL.none"), value: 0 },
        rondache: { name: game.i18n.localize("MNBL.lightcover"), value: -2 },
        pavois: { name: game.i18n.localize("MNBL.mediumcover"), value: -5 },
        complet: { name: game.i18n.localize("MNBL.heavycover"), value: -10 },
      },
      modifierTypes: {
        aucun: { name: game.i18n.localize("MNBL.none"), value: 0 },
        roll: { name: game.i18n.localize("MNBL.roll"), value: 0 },
        degats: { name: game.i18n.localize("MNBL.damage"), value: 0 },
        defense: { name: game.i18n.localize("MNBL.defensecapacity"), value: 0 },
        attaque: { name: game.i18n.localize("MNBL.attackcapacity"), value: 0 },
      },
      listeNiveau: {
      },
      listeNiveauCreature: {
      },
      listePortees: {
        "10": game.i18n.localize("MNBL.lessthanshort"),
        "15": game.i18n.localize("MNBL.shortmore"),
        "20": game.i18n.localize("MNBL.mediummore"),
        "25": game.i18n.localize("MNBL.longmore")
      },
      modificateurOptions: {},
      pointsAmeOptions: {},
      difficulteOptions: {
        "0": game.i18n.localize("MNBL.noneunknwon"),
        "5": game.i18n.localize("MNBL.easy"),
        "10": game.i18n.localize("MNBL.medium"),
        "15": game.i18n.localize("MNBL.hard"),
        "20": game.i18n.localize("MNBL.hazardous"),
        "25": game.i18n.localize("MNBL.insane"),
        "30": game.i18n.localize("MNBL.puremadness")
      },
      attributs: {
        adr: game.i18n.localize("Adresse"), pui: game.i18n.localize("Puissance"),
        cla: game.i18n.localize("Clairvoyance"), pre: game.i18n.localize("Présence"), tre: game.i18n.localize("Trempe")
      },
      lancementRuneOptions: {
        prononcer: game.i18n.localize("MNBL.pronouncerune"),
        inscrire: game.i18n.localize("MNBL.tracerune")
      },
      effetRuneOptions: {
        prononcee: game.i18n.localize("MNBL.pronounced"),
        inscrite: game.i18n.localize("MNBL.traced")
      },
      typeArmeOptions: {
        contact: game.i18n.localize("MNBL.meleeweapon"),
        contactjet: game.i18n.localize("MNBL.meleethrowweapon"),
        jet: game.i18n.localize("MNBL.throwweapon"),
        tir: game.i18n.localize("MNBL.shootweapon"),
        special: game.i18n.localize("MNBL.specialweapon")
      },
      allegeanceOptions: {
        tous: game.i18n.localize("MNBL.all"),
        chaos: game.i18n.localize("MNBL.chaos"),
        loi: game.i18n.localize("MNBL.law"),
        betes: game.i18n.localize("MNBL.beastslords"),
        elementaires: game.i18n.localize("MNBL.elementslords")
      }
    }

    return MOURNBLADE_CONFIG;
  }

};